<?php
require_once(SYSTEM_LOGICS . 'card_apply/logic.php');

class ControlCardApply extends LogicCardApply {

	/*-------------------------------------------------------------------------
	* @ メンバ変数
	-------------------------------------------------------------------------*/

	/*-------------------------------------------------------------------------
	* @function_name: ロジックのコンストラクタ
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function __construct() {
		parent::__construct();
	}

	/*-------------------------------------------------------------------------
	* @function_name: コントロールパネルシステム動画データ編集ロジック（各クラス共通）
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function action() {

		try {

			// アクション実行
			$this -> logic();

			if($this -> getType() 				== TYPE_DETAIL
				|| $this -> getType()			== TYPE_UPDATE) {	// 詳細
				require_once($this -> getSystemHTML('TEMPLATE_CARD_APPLY_DETAIL_PATH', $this -> dispHTML()));

			} else if($this -> getType()		== TYPE_CREATE) {	// 新規作成（口座番号入力）
				require_once($this -> getSystemHTML('TEMPLATE_CARD_APPLY_CREATE_PATH', $this -> dispHTML()));

			} else if($this -> getType()		== TYPE_INPUT
						|| $this -> getType()	== TYPE_BACK) {		// 新規作成（入力）
				require_once($this -> getSystemHTML('TEMPLATE_CARD_APPLY_CREATE_INPUT_PATH', $this -> dispHTML()));

			} else if($this -> getType()		== TYPE_CONFIRM) {	// 新規作成（確認）
				require_once($this -> getSystemHTML('TEMPLATE_CARD_APPLY_CREATE_CONFIRM_PATH', $this -> dispHTML()));

			} else {												// その他
				require_once($this -> getSystemHTML('TEMPLATE_CARD_APPLY_LIST_PATH', $this -> dispHTML()));
			}

		} catch (Exception $e) {
			header('Location: /');
		}
	}
}
?>